S3D_PUSH_MATERIAL(3)

NAME
s3d_push_material - push material

SYNOPSIS

#include <s3d.h>

int s3d_push_material(int object, float amb_r, float amb_g, float amb_b, float spec_r, float spec_g, float spec_b, float diff_r, float diff_g, float diff_b);

DESCRIPTION

Pushes a material for an object. you will have to count them yourself too, as polygons will ask for the material index number. The material properties are given in rgb (red/green/blue) color codes, in float. 0.0 is the minimum, 1.0 is the maximum a color value can be. The specular color is the color which is directly reflected from the light source. The diffuse color is the color which can be seen in the bright side of the object, and the ambience color is the color of the shadow side of the object.

AUTHOR

Simon Wunderlich
    Author of s3d